# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## v1.1.1

- Added `--rpf-teal-950` (#140)

## v1.1.0

### Added

- Added Number Input (#129)
- Add changelog update check to github workflow (#122)

### Changed
* Updated Progress bar to use a HTML progress tag (#124)

## Updated
* Storybook to v8 from v7 (#128)

### Breaking changes

Progress bar template structure has changed and the related css needs this new structure to work properly.

## v1.0.0

### Breaking changes

Typography mixin naming has changed from `regular-${weight}` to `style-${weight}`. For example from `regular-1-5` to `style-1-5`.

### Updated

- Typography mixin to work with bold and default to regular font weight (#96)

## v0.3.4

### Added
- Adds progress bar component styles and story

## v0.3.3

### Fixed
- Fix Checkbox and Radiobutton class name requirement

## v0.3.2

### Fixed
- Make CSS classes more specific for form inputs

## v0.3.1

### Fixed

- Input errors were using correct icon (`info`), changed to `error`. (#109)
- Refactor how `readonly` is applied to form inputs into a mixin (#110)
- Refactor the Accordion component not to require a container element (#111)

## v0.3.0

### Added

- Fieldset element (#103)

## v0.2.1

### Changed

- Move button variables out of `:root` and remove `primary` from naming (#105)

## v0.2.0

### Breaking changes

- Decorative sections now only work on browsers that support `:has`
- Decorative sections can now apply to the block-start of a section, not just the block-end
- Decorative section class names have been changed to accommodate block-start
- Variant 1 of the wave is now default, and variant 2 and 3 become variant 1 and 2 respectively

## v0.1.16

### Added

- Accordion Styles (#95)
- Added :host to all properties (#97)

## v0.1.15

### Fixed

- Forward alert colour styles for button (#88)
- Update text colours to be in hsla format (#90)
- Storybook: Button improvements (#84)

## v0.1.14

### Added

- No padding variant of decorative section

## v0.1.13

### Added

- Storybook: Pseudo-states addon
- Storybook: Reordered addons

### Fixed

- Squiggle placeholder syntax (#74)

### Updated

- Button focus styles (#75)

## v0.1.12

### Add

- Storybook control for button text and icon

### Fixed

- Fixed button height after box-sizing change
- Logical properties on button
- Logical properties on squiggle

## v0.1.11

### Changed

- Updates colours for home page blog card AAA compliance

## v0.1.10

### Added

- Full width button option
- Added shades of the RPF Raspberry brand color

## v0.1.9

### Fixed

- Squiggles weren't working inside web components, due to the use of `:root`. This is now fixed.
- Changing the color of squiggles is also now easier, and can be set on any parent of the component.
- Added squiggle to `design-system-core.scss` to be added to build.

## v0.1.8

### Fixed

- Short squiggles no longer break up
- Squiggles are now also uniform throughout

## v0.1.7

### Added

- Squiggle and squigle header component

## v0.1.6

### Added

- Linting, pre-commit hook and lint job to GitHub workflows
- Alerts set their icons implicitly based on the alert type
- New button theme added `rpf-button--danger`

## v0.1.5

### Added

- Decorative section component for wavy/angled transitions between blocks of content

### Fixed

- CSS specificity, and updated stories to use monolithic `design-system-core.scss`
- Alert component SCSS added to main `design-system-core.scss`

## v0.1.4

### Added

- Alert component

## v0.1.3

### Changed

- Moved select down arrow image to a data URL (#30)
- Added textarea component
- Added checkbox component
- Added radio component
- Changed default width of forms
- Added full width option to text input
- Existing form inputs updated to allow for simpler DOM while retaining backwards compatibility

### Fixed

- Update typography mixin import path

## v0.1.1

### Changes

- Now publishes to npmjs.com publicly
- README updated to simplify usage docs

## v0.1.0

### Major changes

The spacing and typography scales have been changed in this version compared to pre v0.1.0. Docs are included with mappings between the old and new property names.

### Changes

- Added a changelog!
- Added changelog and readme to the Storybook output
- Updated spacing scale and added docs
- Updated typography scale and added docs
